Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

libglue-devel-64bit-1.0.12+v1.git.1560323319.fd5a3bef-lp151.2.3.1 RPM for aarch64_ilp32

From OpenSuSE Ports Leap 15.1 updates for aarch64_ilp32

Name: libglue-devel-64bit Distribution: openSUSE Leap 15.1
Version: 1.0.12+v1.git.1560323319.fd5a3bef Vendor: openSUSE
Release: lp151.2.3.1 Build date: Thu Jul 4 12:12:19 2019
Group: Development/Libraries/C and C++ Build host: obs-arm-4
Size: 202992 Source RPM: cluster-glue-1.0.12+v1.git.1560323319.fd5a3bef-lp151.2.3.1.src.rpm
Packager: http://bugs.opensuse.org
Url: https://github.com/ClusterLabs/cluster-glue.git
Summary: Headers and libraries for writing cluster managers
Headers and shared libraries for a useful for writing cluster managers
such as Pacemaker.

Provides

Requires

License

GPL-2.0-only AND LGPL-2.1-or-later

Changelog

* Wed Jun 12 2019 kgronlund@suse.com
  - Update to version 1.0.12+v1.git.1560323319.fd5a3bef:
    * ibmhmc: Create /var/run/heartbeat/rsctmp if it doesn't exist (bsc#1131545)
  - Create /var/run/heartbeat/rsctmp directory (bsc#1131545)
* Thu Aug 16 2018 kgronlund@suse.com
  - Update to version 1.0.12+v1.git.1534346580.be86a9f2:
    * Fix: stonith:ibmhmc: Add "managedsyspat" and "password" as supported parameters (bsc#1098758)
  - Remove obsolete patch:
    * Remove 0001-Medium-external-ec2-Mitigate-fence-race-bsc-1088656.patch
* Wed Apr 11 2018 kgronlund@suse.com
  - Update to version 1.0.12+v1.git.1523280117.43b22d15:
    * High: external/ec2: Avoid unicode errors and improve performance (bsc#1088656)
  - Medium: external/ec2: Mitigate fence race (bsc#1088656)
    * Add 0001-Medium-external-ec2-Mitigate-fence-race-bsc-1088656.patch
* Fri Feb 23 2018 ygao@suse.com
  - Build: Ship cibsecret by pacemaker instead of cluster-glue (bsc#1082456)
* Fri Feb 02 2018 ygao@suse.com
  - spec: Still use 90 as the consistent gid for the group "haclient" among the cluster
* Thu Feb 01 2018 jengelh@inai.de
  - Stop building static archives only to remove them later.
* Thu Jan 18 2018 tchvatal@suse.com
  - Switch to pkgconfig dependencies
  - Drop asciidoc from deps, even tho configure.ac checks for it
    the mans are generated by docbook
* Thu Jan 18 2018 tchvatal@suse.com
  - Format with spec-cleaner
  - Remove old distributions as we build only on SLE12+ (sle11/sle10)
  - Always disable fatal warnings, it only turns on -Werror which is
    pointless for distro builds and just could break with gcc updates
  - Use the user creation oneliner like other packages
* Mon Dec 18 2017 kgronlund@suse.com
  - Fix Python 3 compatibility in these agents (bsc#1073376):
    * external/ibmrsa-telnet
    * external/dracmc-telnet
    * external/riloe
* Wed Nov 29 2017 kgronlund@suse.com
  - Port scripts to Python 3
    * Add 0001-Port-scripts-to-Python-3.patch
* Thu Nov 23 2017 kgronlund@suse.com
  - Update to version 1.0.12+v1.git.1511436818.71ae59fa:
    * Fix: stonith:external/ec2: Enforce en_US.UTF-8 locale when invoking aws client (bsc#1059171)
    * Drop libnet dependency (bsc#1069596)
* Wed Aug 23 2017 ygao@suse.com
  - Update to version 1.0.12+v1.git.1501749673.bdd95fd0:
    * stonith: external/vcenter: Reset returns success with RESETPOWERON=0 if vm is already off (bsc#1050908)
    * Remove hb_report from doc/
    * Fix warnings reported by GCC7. (bsc#1030241)
    * * Drop 0001-Fix-warnings-reported-by-GCC7.patch which has been merged upstream
* Thu May 18 2017 mliska@suse.cz
  - Remove openhpi support as the packages is going to be removed.
* Thu May 18 2017 mliska@suse.cz
  - Add 0001-Fix-warnings-reported-by-GCC7.patch to fix bnc#1030241.
* Wed May 03 2017 kukuk@suse.de
  - Require user and group nobody
* Thu Feb 09 2017 dimstar@opensuse.org
  - Explicitly package %{_docdir}/%{name} to fix build with RPM 4.13.
* Wed Feb 01 2017 kgronlund@suse.com
  - Update to version 1.0.12+v1.git.1485976882.03d61cd:
    * Low: ipc: fix poll function parameter type
    * Medium: hb_report: invoke crm to create a report
* Wed Nov 02 2016 kgronlund@suse.com
  - Update to version 1.0.12+v1.git.1478088779.afaeeb2:
    * Low: stonith: Convert gethostbyname() usage to getaddrinfo()
    * Low: apcmastersnmp: Convert gethostbyname() usage to getaddrinfo()
    * Low: ipmilan_command: Convert gethostbyname() to getaddrinfo()
    * Low: wti_mpc: Convert gethostbyname() usage to getaddrinfo()
* Thu Oct 20 2016 kgronlund@suse.com
  - Update to version 1.0.12+v1.git.1476869614.524e5d0:
    * Adjust version to correct sorting
* Tue Oct 18 2016 kgronlund@suse.com
  - Update to version 1.0.12+git.1476707642.08bec62:
    * low: cl_plumbing: Fix incorrect negations
  - Drop merged patches:
    * Remove cluster-glue-gcc5.patch
    * Remove remove-unused-constants.patch
* Tue Oct 11 2016 kgronlund@suse.com
  - Update to version 1.0.12+git.1476172419.3e86358:
    * Upstream is now github.com/ClusterLabs/cluster-glue.git
    * stonith: describe -E option
* Mon May 23 2016 kgronlund@suse.com
  - Update to 1.0.12+hg2818
    + Fix addresses of FSF, point to gnu.org/licenses instead
  - Fix build with GCC 6
    + Add remove-unused-constants.patch
* Thu Feb 04 2016 kgronlund@suse.com
  - Update to 1.0.12+hg2816
    + Medium: stonith: external/libvirt: fix handling of hosts with uppercase letters in names
  - upstream cs: 56f40ec5d37e
* Fri Oct 16 2015 kgronlund@suse.com
  - Update to 1.0.12+hg2815
    + Medium: stonith: external/ec2: use target's uname as default for port (bsc#947026)
  - Replace hb_report with script which calls crm report (bsc#950182) (bsc#950483)
  - Remove 0006-ec2-instance-tag-bsc-947026.patch
  - Remove 0001-high-hb_report-Collect-logs-from-journald-boo-900654.patch
  - Remove 0002-high-hb_report-Prefer-pacemaker.log-if-it-exists-bsc.patch
  - Remove 0003-high-hb_report-Always-prefer-syslog-if-available-bsc.patch
  - Remove 0004-low-hb_report-increase-time-to-wait-for-the-logmark.patch
  - Remove 0005-low-hb_report-collect-libqb-version-bsc-943327.patch
  - Remove bnc662816_cluster-glue_hb_report_abspath.patch
  - Move libglue-devel to group Development/Libraries/C and C++
  - Upstream cs: a10cd7cc13f5
* Fri Sep 25 2015 kgronlund@suse.com
  - Dev: stonith: external/ec2: Be able to omit the "port" option. (bsc#947026) (fate#319008)
  - Add 0006-ec2-instance-tag-bsc-947026.patch
* Wed Aug 26 2015 kgronlund@suse.com
  - high: hb_report: Always prefer syslog if available (bsc#942906)
  - low: hb_report: Increase time to wait for the logmark
  - low: hb_report: Collect libqb version (bsc#943327)
  - Add 0003-high-hb_report-Always-prefer-syslog-if-available-bsc.patch
  - Add 0004-low-hb_report-increase-time-to-wait-for-the-logmark.patch
  - Add 0005-low-hb_report-collect-libqb-version-bsc-943327.patch
* Fri Aug 14 2015 kgronlund@suse.com
  - high: hb_report: Prefer pacemaker.log if it exists (bsc#941681)
  - Add 0002-high-hb_report-Prefer-pacemaker.log-if-it-exists-bsc.patch
* Mon May 11 2015 kgronlund@suse.com
  - Low: stonith: external/ec2: update name in the short description
  - High: stonith: external/ec2: new agent for aws/ec2
  - Medium: hb_report: use faster zypper interface if available
  - Medium: stonith: external/vcenter: replace experimental smartmatch (bnc#900353)
  - Medium: ha_logd: prevent race caused by pid reuse (bsc#894272)
  - fix syslogmsgfmt logging inconsistency for stderr/stdout
  - Medium: clplumbing: don't abort on bad input
  - upstream cs: 9da0680bc9c0
* Tue Feb 24 2015 rguenther@suse.com
  - Add cluster-glue-gcc5.patch to fix gazillions of -Wformat=2 warnings
    about signed/unsigned format vs. argument mismatches GCC 5 now emits.
    Fixes build with GCC 5.
* Wed Feb 18 2015 coolo@suse.com
  - buildrequire the systemd macros before using them - and all
    the package wants is the macro anyway, so no need to buildrequire
    systemd libraries
* Wed Jan 21 2015 dmuhamedagic@suse.com
  - undo: fix using hb_report script with non-bash shells due to
    bad logic
    * removed cluster-glue-fix-bashisms.patch
* Sat Dec 27 2014 Led <ledest@gmail.com>
  - fix using hb_report script with non-bash shells
  - add patches:
    + cluster-glue-fix-bashisms.patch
* Wed Nov 19 2014 dimstar@opensuse.org
  - Replace systemd BuildRequires with pkgconfig(systemd): we do not
    require the full installation / dep chain of systemd.

Files

/usr/lib64/heartbeat
/usr/lib64/heartbeat/plugins
/usr/lib64/heartbeat/plugins/test
/usr/lib64/heartbeat/plugins/test/test.so
/usr/lib64/libpils.so
/usr/lib64/libplumb.so
/usr/lib64/libplumbgpl.so
/usr/lib64/libstonith.so
/usr/lib64/stonith
/usr/lib64/stonith/plugins
/usr/lib64/stonith/plugins/stonith2
/usr/lib64/stonith/plugins/stonith2/null.so
/usr/lib64/stonith/plugins/stonith2/ssh.so


Generated by rpm2html 1.8.1

Fabrice Bellet, Tue Nov 9 12:47:17 2021